classification
Title: update Lib/plat-linux2/IN.py
Type: behavior Stage: resolved
Components: Library (Lib) Versions: Python 3.4, Python 3.5, Python 2.7
process
Status: closed Resolution: out of date
Dependencies: 12619 Superseder: Remove Lib/plat-*/* files
View: 28027
Assigned To: Nosy List: BreamoreBoy, ajaksu2, doko, eriol, loewis, zach.ware
Priority: normal Keywords: easy

Created on 2006-09-25 12:51 by doko, last changed 2016-09-09 16:41 by zach.ware. This issue is now closed.

Messages (6)
msg61005 - (view) Author: Matthias Klose (doko) * (Python committer) Date: 2006-09-25 12:51
there's a request to update this module to add missing
IN.SIO* definitions. How should that be done? Just
re-running h2py drops all SIO* definitions, because the
linux/sockios.h header isn't included anymore.

requested at http://launchpad.net/bugs/58081
msg61006 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2006-09-27 12:08
Logged In: YES 
user_id=21627

It's convention that plat-* mirrors the structure of the
header files. So ISTM that we should add sockios.py; IN.py
should perhaps be regenerated only a release later.
msg84464 - (view) Author: Daniel Diniz (ajaksu2) (Python triager) Date: 2009-03-30 02:33
IN.py on trunk still lacks IN.SIOCGIFADDR (mentioned by the linked bug's
OP).

Present SIOC* in IN.py:
SIOCSPGRP = 0x8902
SIOCGPGRP = 0x8904
SIOCATMARK = 0x8905
SIOCGSTAMP = 0x8906
msg111146 - (view) Author: Daniele Tricoli (eriol) Date: 2010-07-22 02:16
I would like to take care of this bug if it is worthwhile.

I tried to use h2py as suggested by Martin v. Löwis adding
/usr/include/linux/sockios.h in the regen shell script and it
obviously work.

I used a fresh clone of the py3k branch.

P.S. Is not a problem that the resulting module name SOCKIOS does't
follow PEP8?
msg222409 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2014-07-06 17:22
Related issues via #12619 include #3990 and #19554.
msg275336 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2016-09-09 16:41
This file was moved long ago and has now been completely removed.
History
Date User Action Args
2016-09-09 16:41:58zach.waresetstatus: open -> closed

superseder: Remove Lib/plat-*/* files

nosy: + zach.ware
messages: + msg275336
resolution: out of date
stage: needs patch -> resolved
2014-07-06 17:22:22BreamoreBoysetnosy: + BreamoreBoy
messages: + msg222409
2014-07-05 22:09:47BreamoreBoysetversions: + Python 3.4, Python 3.5, - Python 3.2, Python 3.3
2011-10-18 16:20:55eric.araujosetdependencies: + Automatically regenerate platform-specific modules
stage: test needed -> needs patch
versions: + Python 2.7, Python 3.2, Python 3.3, - Python 2.6
2010-07-22 02:16:02eriolsetnosy: + eriol
messages: + msg111146
2009-04-22 12:46:05ajaksu2setkeywords: + easy
2009-03-30 02:33:31ajaksu2setnosy: + ajaksu2
messages: + msg84464

type: behavior
stage: test needed
2006-09-25 12:51:47dokocreate